package jrummikub.model;

public interface IGameState {

	public ITable getTable();

	public int getPlayerCount();

	public IPlayer getPlayer(int i);

	/** Changes the activePlayer to the next {@link Player} in the list */
	public void nextPlayer();

	public IPlayer getActivePlayer();

	public StoneHeap getGameHeap();

}